Page MenuHomeFreeBSD

[PowerPC64] starting from FreeBSD 13.0, default 64-bit ELF ABI is V2 (ELFv2)
ClosedPublic

Authored by alfredo.junior_eldorado.org.br on May 23 2019, 4:19 PM.

Details

Summary

Warning: to be commited on "flag day"

This changes LLVM default powerpc64 ABI to ELFv2, if target OS is FreeBSD >= 13.0

This patch should be sent to upstream after flag day.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste added a subscriber: emaste.May 23 2019, 4:36 PM

Of course this will need to go upstream as well.

Of course this will need to go upstream as well.

Yes, I'm planning to send it to upstream (9.x) as well file backport to 8.x request release after flag day, or at least when plan is officially announced.
What do you and @jhibbits think about it?

luporl accepted this revision.May 24 2019, 3:27 PM

The change itself LGTM.

From a previous discussion these days, it seems the consensus was to propose it to LLVM upstream some time after FreeBSD itself commits the ELFv2 changes.
As this changes a previous default, I'm not sure if this change is eligible for backporting, but LLVM community knows better about it.

Patch updated as base LLVM switched from version 8 to 9

alfredo.junior_eldorado.org.br planned changes to this revision.Oct 9 2019, 7:31 PM

Marking as Plan Changes again to avoid accidental commit before flag day

alfredo.junior_eldorado.org.br requested review of this revision.Dec 17 2019, 3:55 PM

Back to review as no changes planned

jhibbits accepted this revision.Dec 23 2019, 10:34 PM
This revision is now accepted and ready to land.Dec 23 2019, 10:34 PM
dim accepted this revision.Thu, Dec 26, 9:33 PM

LGTM

This revision was automatically updated to reflect the committed changes.